> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create IPMI credentials

> Generates IPMI credentials for a given server. Remote access creates a VPN connection to the internal network of your server so you can connect to its IPMI.
You will have to use a VPN client such as https://openvpn.net to connect. See `VPN Sessions` API to create a VPN connection.

Related guide: https://docs.latitude.sh/docs/ipmi




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples post /servers/{server_id}/remote_access
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /servers/{server_id}/remote_access:
    post:
      tags:
        - Servers
      summary: Create IPMI credentials
      description: >
        Generates IPMI credentials for a given server. Remote access creates a
        VPN connection to the internal network of your server so you can connect
        to its IPMI.

        You will have to use a VPN client such as https://openvpn.net to
        connect. See `VPN Sessions` API to create a VPN connection.


        Related guide: https://docs.latitude.sh/docs/ipmi
      operationId: create-ipmi-session
      parameters:
        - name: server_id
          in: path
          required: true
          examples:
            Created:
              value: sv_Qkm7dXaRq8nZV
          schema:
            type: string
      responses:
        '201':
          description: Created
          content:
            application/vnd.api+json:
              examples:
                Created:
                  value:
                    data:
                      id: ipmi_mw49QDB5qagKb
                      type: ipmi_sessions
                      attributes:
                        ipmi_address: 10.0.10.1
                        ipmi_url: null
                        ipmi_username: customer_access
                        ipmi_password: ipmi_password
              schema:
                $ref: '#/components/schemas/ipmi_session'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.servers.create_ipmi_session(server_id="sv_Qkm7dXaRq8nZV")

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Servers.CreateIpmiSession(ctx, \"sv_Qkm7dXaRq8nZV\")\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.IpmiSession != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.servers.createIpmiSession({
                serverId: "sv_Qkm7dXaRq8nZV",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    ipmi_session:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
              enum:
                - ipmi_sessions
            attributes:
              type: object
              properties:
                ipmi_address:
                  type: string
                  description: The IPMI IP Address
                ipmi_username:
                  type: string
                  description: The IPMI username
                ipmi_password:
                  type: string
                  description: The IPMI password
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````